Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi
Class RemoteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception
                              |
                              +--weblogic.rmi.RemoteException

Direct Known Subclasses:
  AccessException, ConnectException, ConnectIOException, MarshalException, NoSuchObjectException, ServerError, ServerException, ServerRuntimeException, StubNotFoundException, UnexpectedException, UnknownHostException, UnmarshalException

Deprecated. Deprecated in WebLogic Server 7.0

public class RemoteException
extends T3Exception

Class for RemoteExceptions, the general Exception thrown by any remotely invoked method.

All interfaces for Remote objects must throw RemoteException.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.Throwable` | `detail` Deprecated. Throwable nested within the RemoteException.

Constructor Summary
`RemoteException()` Deprecated. Constructs a RemoteException with no message.
`RemoteException(java.lang.String s)` Deprecated. Constructs a RemoteException with the specified message.
`RemoteException(java.lang.String s, java.lang.Throwable t)` Deprecated. Constructs a RemoteException with the specified message and nested Throwable object.

Method Summary
`java.lang.String` | `getMessage()` Deprecated. Returns the message including the message from the nested exception if there is one.

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public java.lang.Throwable detail

  Deprecated.
  Throwable nested within the RemoteException.

Constructor Detail

### RemoteException

    public RemoteException()

  Deprecated.
  Constructs a RemoteException with no message.

### RemoteException

    public RemoteException(java.lang.String s)

  Deprecated.
  Constructs a RemoteException with the specified message.

  Parameters:
    `s` - String message

### RemoteException

    public RemoteException(java.lang.String s,
                           java.lang.Throwable t)

  Deprecated.
  Constructs a RemoteException with the specified message and nested Throwable object.

  Parameters:
    `s` - String message
    `ex` - Throwable object nested in this Exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Deprecated.
  Returns the message including the message from the nested exception if there is one.

  Overrides:
    getMessage in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference